package com.kingdee.eas.custom.recuritment.utils;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

/**
 * @author qingwu
 * @date 2025/7/3
 * @apiNote
 */
public class InitialValueUtils {
    //简历基本信息-血型
    public static Map<String, String> bloodTypeMap = getBloodTypeMap();
    //简历基本信息-学校类型
    public static Map<String, String> bchoolType= getBchoolTypeMap();
    //语言能力-熟练度
    public static Map<String, String> proficiencyMap= getProficiencyMap();

    public static Map getBloodTypeMap() {
        Map map = new HashMap();
        //血型
        map.put("A", "10");//A
        map.put("B", "20");//B
        map.put("AB", "30");//AB
        map.put("O", "40");//O
        return Collections.unmodifiableMap(map);
    }
   public static Map getBchoolTypeMap() {
        Map map = new HashMap();
        //学校类型
        map.put("1", "3");//985院校
        map.put("2", "2");//211院校
        map.put("5", "4");//既是211也是985
        map.put("3", "5");//外国院校
        map.put("4", "1");//普通院校
        return Collections.unmodifiableMap(map);
    }
    public static Map getProficiencyMap() {
        Map map = new HashMap();
        map.put("1", "2");//入门
        map.put("2", "1");//熟练
        map.put("3", "0");//精通
        map.put("4", "1");//母语
        return Collections.unmodifiableMap(map);
    }



}
